- include_role:
    name: commons
    tasks_from: secrets/generic-admin.yaml
  vars:
    admin_password: "{{ nextcloud_admin_password | default(False) }}"
    admin_username: nextcloud
    sc_name: "{{ nextcloud_name }}"
- block:
  - include_role:
      name: minio
      tasks_from: prep-app.yaml
    vars:
      bucket_name: "{{ nextcloud_s3_bucket }}"
      db_host: "{{ minio_name | default('s3') }}"
      namespaces:
      - "{{ namespace }}"
      - "{{ minio_namespace | default(namespace) }}"
      s3_region: "{{ minio_region_name }}"
      sc_name: "{{ minio_name | default('s3') }}-nextcloud"
    when:
    - nextcloud_s3_flavor == 'minio'
  - include_role:
      name: radosgw
      tasks_from: prep-app.yaml
    vars:
      bucket_name: "{{ nextcloud_s3_bucket }}"
      db_host: "{{ rgw_name | default('s3') }}"
      namespaces:
      - "{{ namespace }}"
      - "{{ rgw_namespace | default(namespace) }}"
      s3_access_key: "{{ nextcloud_s3_access_key }}"
      s3_region: "{{ nextcloud_s3_region | default('us-east-1') }}"
      s3_secret_key: "{{ nextcloud_s3_secret_key }}"
      sc_name: "{{ rgw_name | default('s3') }}-nextcloud"
    when:
    - nextcloud_s3_flavor in [ 'ceph', 'rados', 'radosgw' ]
  - include_role:
      name: commons
      tasks_from: helpers/s3bucket-exporter.yaml
    vars:
      s3_address: "{{ minio_api_address
                      if (nextcloud_s3_flavor == 'minio')
                      else radosgw_api_address }}"
      s3_exporter_name: "bucketxp-{{ nextcloud_name }}"
      s3_secret_name: "{{ ((minio_name | default('s3')) ~ '-nextcloud')
                          if (nextcloud_s3_flavor == 'minio')
                          else ((rgw_name | default('s3')) ~ '-nextcloud') }}"
    when:
    - do_exporters
  when:
  - do_s3
- include_role:
    name: commons
    tasks_from: secrets/ssh.yaml
  vars:
    sc_name: "backups-{{ nextcloud_name }}"
  when:
  - do_backups
  - not do_s3
